"use strict";
const electron = require("electron");
electron.app.whenReady().then(() => {
  const win = new electron.BrowserWindow({
    title: "Main window",
    width: 1200,
    height: 800,
    fullscreenable: true,
    fullscreen: false,
    simpleFullscreen: true,
    frame: true,
    webPreferences: {
      // 集成网页和 Node.js，也就是在渲染进程中，可以调用 Node.js 方法
      nodeIntegration: true,
      contextIsolation: false
    }
  });
  if (process.env.VITE_DEV_SERVER_URL) {
    win.loadURL(process.env.VITE_DEV_SERVER_URL);
  } else {
    win.loadFile("dist/index.html");
  }
  win.webContents.openDevTools();
  electron.app.on("activate", () => {
    if (electron.BrowserWindow.getAllWindows().length === 0)
      createWindow();
  });
  electron.ipcMain.on("quitHandler", (_, msg) => {
    console.log(msg);
    electron.app.quit();
  });
});
electron.app.on("window-all-closed", () => {
  if (process.platform !== "darwin")
    electron.app.quit();
});
